Permalink
Browse files

Update setup.py to ensure Python 2.6 dependencies are installed by pip.

  • Loading branch information...
1 parent 7050549 commit efcdd15902677cee4307d8120faace25d7e4e3b1 @selwin selwin committed Jun 1, 2015
Showing with 5 additions and 2 deletions.
  1. +5 −2 setup.py
View
@@ -51,13 +51,16 @@ def get_dependencies():
'rqworker = rq.cli:worker',
],
},
+ extras_require={
+ ':python_version=="2.6"': ['argparse', 'importlib'],
+ },
classifiers=[
# As from http://pypi.python.org/pypi?%3Aaction=list_classifiers
#'Development Status :: 1 - Planning',
#'Development Status :: 2 - Pre-Alpha',
#'Development Status :: 3 - Alpha',
- 'Development Status :: 4 - Beta',
- #'Development Status :: 5 - Production/Stable',
+ #'Development Status :: 4 - Beta',
+ 'Development Status :: 5 - Production/Stable',
#'Development Status :: 6 - Mature',
#'Development Status :: 7 - Inactive',
'Intended Audience :: Developers',

0 comments on commit efcdd15

Please sign in to comment.